Subject: torsion constraints in autodock

From: "X. Tan" <[email-masked]>
Date: Thu, 11 Apr 2002 14:41:53 -0700 (PDT)

Dear all,

I'd like to ask you a question about torsion constraints. I have a set of
small molecules with the peptide bonds(CO-NH) attaching to a benzene ring.
In principle, all the atoms in peptide bonds and benzene should be almost
coplanar. In another word, the bond between peptide bond and benzene ring
should has the torsion angel either 0 or 180 degree. When I did autodock
computation without torsion constraint on this kind of bonds, it gave me
the answers with the torsion angel about 90 degree. Later, I used
"hardtorcon" on these bonds. The conformations I got were still not good,
with the torsion angel about 60 degree.

Here is one of my pdbq file,

----------------------
REMARK  12 active torsions (identified by new id numbers):
REMARK  status: ('A' for Active; 'I' for Inactive)
REMARK       I      1- 14 between atoms:  C1   and  O30
REMARK    1  A      2- 16 between atoms:  C2   and  O3
REMARK    2  A     16- 17 between atoms:  O3   and  C4
REMARK    3  A     19- 20 between atoms:  C10  and  C11
REMARK    4  A     22- 24 between atoms:  N13  and  C15
REMARK    5  A     24- 25 between atoms:  C15  and  C16
REMARK    6  A     25- 26 between atoms:  C16  and  C17
REMARK    7  A     26- 27 between atoms:  C17  and  N32
REMARK    8  A     36- 37 between atoms:  C6   and  N7
REMARK    9  A     39- 41 between atoms:  C40  and  C41
REMARK   10  A     41- 42 between atoms:  C41  and  O42
REMARK   11  A     42- 43 between atoms:  O42  and  C43
REMARK   12  A     43- 44 between atoms:  C43  and  C45
REMARK       I      4-  5 between atoms:  C20  and  C21
REMARK       I      5-  6 between atoms:  C21  and  O22
REMARK       I      8-  9 between atoms:  C24  and  O25
REMARK       I     11- 12 between atoms:  C27  and  O28
ROOT
...

--------------------
For this molecule, I defined the torsion constaints like this:

hardtorcon 3 0. 10.     # constrain torsion, num., angle(deg), range(deg)
hardtorcon 8 0. 10.     # constrain torsion, num., angle(deg), range(deg)

I wondered whether I gave the wrong constraint. For a
torsion A-B-C-D, in autodock program, the rotatable bond is defined by two
atoms(B-C), then where the A and D come from, and is it possible to assign
the torsion angle unambiguously in the constraints? How to do that?

BTW, I have another question about autodock. Atom F is a stronger H-Bond
acceptor, but why there is no H-Bond parameters for F in autodock(I used
version 3.03)?

Any help would be greatly appreciated!

Xiaojian Tan
[email-masked]